Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histday.h	(revision 1530)
@@ -22,14 +22,14 @@
 
          CALL histdef(nid_day, "phis", "Surface geop. height", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
          CALL histdef(nid_day, "aire", "Grid area", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
 ccccccc axe Ls
          CALL histdef(nid_day, "ls", "Solar longitude", "degrees",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
@@ -37,17 +37,17 @@
 
          CALL histdef(nid_day, "tsol", "Surface Temperature", "K",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "psol", "Surface Pressure", "Pa",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_day, "ue", "Zonal energy transport", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_day, "ve", "Merid energy transport", "-",
-c     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c     .                "ave(X)", zsto,zout)
 
@@ -60,37 +60,37 @@
 
          CALL histdef(nid_day, "temp", "Air temperature", "K",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "pres", "Air pressure", "Pa",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "geop", "Geopotential height", "m",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "vitu", "Zonal wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "vitv", "Meridional wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_day, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dudyn", "Dynamics dU", "m/s2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
@@ -101,77 +101,77 @@
 c           DO iq=1,nmicro
 c             CALL histdef(nid_day, tname(iq), ttext(iq), "n/m2",
-c     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c     .                "ave(X)", zsto,zout)
 c           ENDDO
              CALL histdef(nid_day, "qaer","nb tot aer" , "n/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 
             if (clouds.eq.1) then
              CALL histdef(nid_day, "qnoy","nb tot noy" , "n/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_day, "qgl1","V tot gl1" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_day, "qgl2","V tot gl2" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
              CALL histdef(nid_day, "qgl3","V tot gl3" , "m3/m2",
-     .                    iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                    nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                    "ave(X)", zsto,zout)
 c--------------
 c ----- SATURATION ESP NUAGES
                CALL histdef(nid_day,"ch4sat", "saturation CH4", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"c2h6sat", "saturation C2H6", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"c2h2sat", "saturation C2H2", "--",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- RESERVOIR DE SURFACE
                CALL histdef(nid_day, "reserv", "Reservoir surface","m",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- ECHANGE GAZ SURF/ATM (evaporation)
                CALL histdef(nid_day, "evapch4", "Evaporation CH4","m",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- PRECIPITATIONS (precipitations cumulatives)
                CALL histdef(nid_day,"prech4","Precip CH4","m",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"prec2h6","Precip C2H6",
-     .                "m",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "m",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"prec2h2","Precip C2H2",
-     .                "m",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "m",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"prenoy","Precip NOY",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
                CALL histdef(nid_day,"preaer","Precip AER",
-     .                "um/s",iim,jj_nb,nhori, 1,1,1, nvert, 32,
+     .                "um/s",nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
      .                "ave(X)", zsto,zout)
 c --------------
 c ----- FLUX GLACE
                CALL histdef(nid_day,"flxgl1", "flux gl CH4",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_day,"flxgl2", "flux gl C2H6",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
                CALL histdef(nid_day,"flxgl3", "flux gl C2H2",
-     .              "kg/m2/s",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .              "kg/m2/s",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .              "ave(X)", zsto,zout)
 c --------------
 c ----- RAYON DES GOUTTES
                CALL histdef(nid_day,"rcldbar", "rayon moyen goutte",
-     .                "m",iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                "m",nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
             endif
@@ -182,5 +182,5 @@
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_day, tname(iq), ttext(iq), "ppm",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
            ENDDO
@@ -198,13 +198,13 @@
 
          CALL histdef(nid_day, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_day, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
          CALL histdef(nid_day, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 
@@ -212,9 +212,9 @@
 
          CALL histdef(nid_day, "SWnet", "Net SW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 
          CALL histdef(nid_day, "LWnet", "Net LW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 
@@ -224,5 +224,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"thv"//str2,"Haze Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -231,5 +231,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"thi"//str2,"Haze Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -240,5 +240,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"khv"//str2,"Haze ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -247,5 +247,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"khi"//str2,"Haze ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -256,5 +256,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"tgv"//str2,"Gas Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -263,5 +263,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"tgi"//str2,"Gas Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -272,5 +272,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"kgv"//str2,"Gas ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -279,5 +279,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_day,"kgi"//str2,"Gas ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto1,zout)
          ENDDO
@@ -287,5 +287,5 @@
          if (clouds.eq.1) then
            CALL histdef(nid_day,"tcld","Cld Opa proxy",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
 
@@ -293,5 +293,5 @@
 c ----- EXTINCTION NUAGES
            CALL histdef(nid_day,"kcld","Cld Ext proxy",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ave(X)",zsto,zout)
          endif
@@ -303,29 +303,29 @@
 
          CALL histdef(nid_day, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dtphy", "Physics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_day, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_day, "dtec", "Cinetic dissip dT", "K/s",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 
@@ -338,18 +338,18 @@
 c        call histdef(nid_day, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 
 c        call histdef(nid_day, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_day, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
 c        CALL histdef(nid_day, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 
Index: trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ini_histins.h	(revision 1530)
@@ -21,14 +21,14 @@
 
          CALL histdef(nid_ins, "phis", "Surface geop. height", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
          CALL histdef(nid_ins, "aire", "Grid area", "-",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 
 ccccccc axe Ls
          CALL histdef(nid_ins, "ls", "Solar longitude", "degrees",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
@@ -36,17 +36,17 @@
 
          CALL histdef(nid_ins, "tsol", "Surface Temperature", "K",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "psol", "Surface Pressure", "Pa",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "ue", "Zonal energy transport", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "ve", "Merid energy transport", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "inst(X)", zsto,zout)
 
@@ -59,37 +59,37 @@
 
          CALL histdef(nid_ins, "temp", "Air temperature", "K",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "pres", "Air pressure", "Pa",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "geop", "Geopotential height", "m",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "vitu", "Zonal wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "vitv", "Meridional wind", "m/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "duvdf", "Boundary-layer dU", "m/s2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "dudyn", "Dynamics dU", "m/s2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "inst(X)", zsto,zout)
 
@@ -105,5 +105,5 @@
            DO iq=1,nmicro
          CALL histdef(nid_ins, tname(iq), ttext(iq), "n/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
            ENDDO
@@ -112,5 +112,5 @@
            DO iq=nmicro+1,nqmax
          CALL histdef(nid_ins, tname(iq), ttext(iq), "ppm",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
            ENDDO
@@ -123,13 +123,13 @@
 
          CALL histdef(nid_ins, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+     .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "inst(X)", zsto,zout)
 
@@ -137,9 +137,9 @@
 
          CALL histdef(nid_ins, "SWnet", "Net SW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "LWnet", "Net LW flux","W/m2",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "inst(X)", zsto,zout)
 
@@ -149,5 +149,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"thv"//str2,"Haze Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -156,5 +156,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"thi"//str2,"Haze Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -165,5 +165,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"khv"//str2,"Haze ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -172,5 +172,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"khi"//str2,"Haze ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -181,5 +181,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"tgv"//str2,"Haze Opa Vis",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -188,5 +188,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"tgi"//str2,"Haze Opa IR",
-     .                "--",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "--",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -197,5 +197,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"kgv"//str2,"Haze ext Vis ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -204,5 +204,5 @@
            write(str2,'(i2.2)') k
          CALL histdef(nid_ins,"kgi"//str2,"Haze ext IR ",
-     .                "m-1",iim,jj_nb,nhori,klev,1,klev,nvert,32,
+     .                "m-1",nbp_lon,jj_nb,nhori,klev,1,klev,nvert,32,
      .                "ins(X)",zsto,zout)
          ENDDO
@@ -214,33 +214,33 @@
 
          CALL histdef(nid_ins, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "dtphy", "Physics dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
          CALL histdef(nid_ins, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+     .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "dtec", "Cinetic dissip dT", "K/s",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "dvvdf", "Boundary-layer dV", "m/s2",
-c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
+c    .                nbp_lon,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "inst(X)", zsto,zout)
 
@@ -253,18 +253,18 @@
 c        call histdef(nid_ins, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "inst(X)", zsto,zout)
 
 c        call histdef(nid_ins, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
+c    $         nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "inst(X)", zsto,zout)
 
 c        CALL histdef(nid_ins, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
+c    .                nbp_lon,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "inst(X)", zsto,zout)
 
